#ifndef MONSTDIO_H
#define MONSTDIO_H

/* #include <stdlib.h> */

#include <fcntl.h> /* open */
#include <string.h> /* memcoy */
#include <unistd.h> /* write */

#define SIZETAMPON 1024

#define ERR_NOT_WR 1

typedef struct {
  char tampon[SIZETAMPON];
  int seek;
  int fd;
  mode_t mode;
} MONFILE;

MONFILE * monfopen(char *fic,char *mode);
int monfclose(MONFILE *flot);
int monfflush(MONFILE *flot);
int monfprintf(MONFILE *flot, const char * format);

#endif /* MONSTDIO_H */
