#include <stdio.h>
#include <stdlib.h>

#define SIZEOFTAMPON 1024

char tampon[SIZEOFTAMPON];

void usage(char *commande)
{
  fprintf(stderr,"Usage : "
	  "%s fichier1 fichier2 destination\n",commande);
  exit(EXIT_FAILURE);
}
  
int main(int argc, char *argv[])
{
  FILE *source1,*source2, *dest;
  char * ret1,*ret2;

  if(argc != 4)
    usage(argv[0]);

  source1=fopen(argv[1],"r");
  source2=fopen(argv[2],"r");
  if(source1 == NULL || source2 == NULL)
    {
      perror("Je ne trouve pas un fichier");
      exit(EXIT_FAILURE);
    }
  
  dest=fopen(argv[3],"w");
  if(dest == NULL)
    {
      perror("Je ne peux pas crire dans le fichier");
      exit(EXIT_FAILURE);
    }
  
  do
    {
      if((ret1 = fgets(tampon,SIZEOFTAMPON,source1)))
	fputs(tampon,dest);
      if((ret2 = fgets(tampon,SIZEOFTAMPON,source2)))
	fputs(tampon,dest);
    }
  while( ret1 || ret2 );
  
  /* Ces lignes sont inutiles, 
     car la fonction exit s'occupe de fermer 
     tous les flots ouverts */
  fclose(source1);
  fclose(source2);
  fclose(dest);

  exit(EXIT_SUCCESS);
}
